<ion-header>
  <ion-toolbar>
    <ion-title>
      THE BEST CITY
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="ion-padding">
    <ion-card *ngFor = "let city of cities; let i = index">
        <img src="{{ city.url }}" alt="city picture">
        <ion-card-header>
          <ion-card-subtitle>{{ city.country }}<ion-button class="favouriteButton" (click)="favourite(i)" slots="icon-only" fill = "clear" [ngStyle] = "{color:city.buttonColor}">
                  <ion-icon ios="ios-heart" md="md-heart"></ion-icon>
                </ion-button></ion-card-subtitle>
          <ion-card-title>
                {{ city.name }}
                <ion-checkbox color="white" name = "">Visited</ion-checkbox>
                
          </ion-card-title>
        </ion-card-header>
      
        <ion-card-content>
          <ion-grid>
            <ion-row>
              {{ city.desc }}
            </ion-row>
            <ion-row>
              <ion-col>
                <ion-icon name="man"></ion-icon>
                <p>{{ city.population }}</p>
              </ion-col>
              <ion-col>
                <ion-icon name="expand"></ion-icon>
                <p>{{ city.area }}</p>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
                <ion-button (click)="vote(i)">Vote</ion-button>
              </ion-col>
              <ion-col>
                <ion-button (click)="reset(i)">Reset</ion-button>
              </ion-col>
            </ion-row>
            <ion-row>
              Votes: {{ city.votes }}
            </ion-row>
          </ion-grid>
        </ion-card-content>
      </ion-card>
  </div>
</ion-content>
